gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.Data

Contents

- Exported types
- Methods

Description

An opaque data structure that represents a keyed data list.

See also: Keyed data lists.

Synopsis

- newtype Data = Data (ManagedPtr Data)

# Exported types

newtype Data Source #

Memory-managed wrapper type.

Constructors

Data (ManagedPtr Data) |

#### Instances

Instances details

Eq Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods (==) :: Data -> Data -> Bool Source # (/=) :: Data -> Data -> Bool Source #
BoxedPtr Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods boxedPtrCopy :: Data -> IO Data Source # boxedPtrFree :: Data -> IO () Source #
ManagedPtrNewtype Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods toManagedPtr :: Data -> ManagedPtr Data Source #

# Methods